Apache::VMonitor / problems with dependcies

Discussion in 'Server Operation' started by Chad, Jan 29, 2009.

  1. Chad

    Chad New Member

    I'm trying to install perl module Apache::VMonitor on my Cpanel / Centos 4.7 box (i386) but having a few issues here.

    Instructions:
    http://www.perl.com/pub/a/2003/04/02/mod_perl.html

    First, cpanel support tells me this:
    I've installed glib and libgtop, then re-tried the perl modules via whm.


    End of gtop install...

    GTop.c:1845: error: called object is not a function
    GTop.c: In function `XS_GTop__ProcState_gid':
    GTop.c:1869: error: syntax error before "state"
    GTop.c:1875: error: `state' undeclared (first use in this function)
    GTop.c:1875: error: called object is not a function
    make: *** [GTop.o] Error 1
    MJH/GTop-0.16.tar.gz
    /usr/bin/make -- NOT OK

    Running make install
    Make had returned bad status, install seems impossible
    perlmod--Install done



    End of apache::scoreboard install...


    Apache-Scoreboard-2.09/typemap
    Apache-Scoreboard-2.09/README
    CPAN: File::Temp loaded ok (v0.21)

    CPAN.pm: Going to build M/MJ/MJH/Apache-Scoreboard-2.09.2.tar.gz

    [ info] generating script t/TEST

    Can't exec "--includedir": No such file or directory at Makefile.PL
    line 36.
    Use of uninitialized value in join or string at Makefile.PL line 46.
    No 'Makefile' created MJH/Apache-Scoreboard-2.09.2.tar.gz
    /usr/bin/perl-bin Makefile.PL -- NOT OK
    Running make install
    Make had some problems, won't install
    perlmod--Install done


    On a side note, mod status is already enabled. I successfully installed
    apache::vmonitor as well.

    I tried this:

    yum -y groupinstall gnome

    ends up with:

    --> Processing Dependency: perl-libxml-perl >= 0.07 for package: foomatic
    --> Finished Dependency Resolution
    Error: Missing Dependency: perl-XML-Dumper >= 0.4 is needed by package foomatic
    Error: Missing Dependency: perl-libxml-enno >= 1.02 is needed by package foomatic
    Error: Missing Dependency: perl-libxml-perl >= 0.07 is needed by package foomatic
    Error: Missing Dependency: perl-Parse-Yapp >= 1.04 is needed by package foomatic
    Error: Missing Dependency: perl-XML-Parser >= 2.29 is needed by package foomatic
    Error: Missing Dependency: perl-XML-Encoding >= 1.01 is needed by package foomatic
    Error: Missing Dependency: perl-XML-Parser is needed by package intltool


    I get "nothing to do" on the following as well

    yum install gnome
    yum install gcc
    yum install gnome-devel
    yum install glib-devel
    yum install glib2-devel


    [email protected] [~]# cat /etc/redhat-release
    CentOS release 4.7 (Final)
    [email protected] [~]# rpm -qa glib
    glib-1.2.10-15
    [email protected] [~]# rpm -qa glib2
    glib2-2.4.7-1
    [email protected] [~]# rpm -qa glib-devel
    glib-devel-1.2.10-15
    [email protected] [~]# rpm -qa glib2-devel
    glib2-devel-2.4.7-1
    [email protected] [~]# rpm -qa gcc
    gcc-3.4.6-10

    Please help out
     
  2. falko

    falko Super Moderator ISPConfig Developer

    Did you modify the repositories in /etc/yum.repos?

    Have you tried to install Apache::VMonitor using the Perl shell?

    Code:
    perl -MCPAN -e shell
    
    install Apache::VMonitor
     
  3. Chad

    Chad New Member

    I already installed the vmonitor module, but as you can clearly see in the OP I am getting errors on the other prerequisites.
     
  4. Chad

    Chad New Member

    I need help please. Still getting errors here:


    Apache::Scoreboard

    Code:
     Apache-Scoreboard-2.09/README
    CPAN: File::Temp loaded ok (v0.21)
    
      CPAN.pm: Going to build M/MJ/MJH/Apache-Scoreboard-2.09.2.tar.gz
    
    [   info] generating script t/TEST
    
    Can't exec "--includedir": No such file or directory at Makefile.PL line 36.
    Use of uninitialized value in join or string at Makefile.PL line 46.
    No 'Makefile' created  MJH/Apache-Scoreboard-2.09.2.tar.gz
      /usr/bin/perl-bin Makefile.PL -- NOT OK
    Running make install
      Make had some problems, won't install
    perlmod--Install done
    

    GTop

    Code:
     GTop.c:1875: error: called object is not a function
    make: *** [GTop.o] Error 1
      MJH/GTop-0.16.tar.gz
      /usr/bin/make -- NOT OK
    
    Running make install
      Make had returned bad status, install seems impossible
    perlmod--Install done
    
     
  5. falko

    falko Super Moderator ISPConfig Developer

    Have you tried to install Apache::Scoreboard through the Perl shell?
     
  6. Chad

    Chad New Member

    Yes I did...same error
    Code:
    
    Apache-Scoreboard-2.09/README
    CPAN: File::Temp loaded ok (v0.21)
    
      CPAN.pm: Going to build M/MJ/MJH/Apache-Scoreboard-2.09.2.tar.gz
    
    [   info] generating script t/TEST
    Can't exec "--includedir": No such file or directory at Makefile.PL line 36.
    Use of uninitialized value in join or string at Makefile.PL line 46.
    No 'Makefile' created  MJH/Apache-Scoreboard-2.09.2.tar.gz
      /usr/bin/perl-bin Makefile.PL -- NOT OK
    Running make test
      Make had some problems, won't test
    Running make install
      Make had some problems, won't install
    Failed during this command:
     MJH/Apache-Scoreboard-2.09.2.tar.gz          : writemakefile NO -- No 'Makefile' created
    
    
    

    Code:
    GTop.c:1875: error: `state' undeclared (first use in this function)
    GTop.c:1875: error: called object is not a function
    make: *** [GTop.o] Error 1
      MJH/GTop-0.16.tar.gz
      /usr/bin/make -- NOT OK
    Running make test
      Can't test without successful make
    Running make install
      Make had returned bad status, install seems impossible
    Failed during this command:
     MJH/GTop-0.16.tar.gz                         : make NO
     
  7. falko

    falko Super Moderator ISPConfig Developer

    Please run
    Code:
    yum groupinstall 'Development Tools' 
    yum groupinstall 'Development Libraries'
    and try again.
     

Share This Page